[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# VarArrayPut

Put a value in a single cell of a variant array

## Declaration

Source position: varianth.inc line 381

`procedure VarArrayPut(`
`var A: Variant;`
`const Value: Variant;`
`const Indices: array of LongInt`
`);`

## Description

VarArrayPut puts Value in the variant array A at the location indicated by Indices. Thus the statement

    VarArrayPut(A,B,[2,1]);

is equivalent to

    A[2,1]:=B;

The difference is that the previous is usable when the amount of indices is not known at compile time.

## Errors

If the number of indices is wrong (or out of range) an exception may be raised.

## See also

VarArrayGet |  |

Documentation generated on: Feb 26 2014